> For the complete documentation index, see [llms.txt](https://docs.mindee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mindee.com/v1/integration/limitations.md).

# Technical Limitations

A set of limits are enforced to ensure the safety of Mindee's parsing document APIs. An API may have additional limits depending on its plan. An API call that causes any of these limits to be exceeded will be rejected with an error. You can find limits specific to your API in the documentation tab.

{% hint style="info" %}
If you have needs beyond these limits then get in touch with the sales team and we'll work something out.
{% endhint %}

## Rate Limits

Depending on the type of endpoint ( synchronous or asynchronous) the default values of the rate limits can vary.

### Documents

| Limits              | docTI | Synchronous | Asynchronous |
| ------------------- | ----- | ----------- | ------------ |
| Max file size       | 5 MB  | 10 MB       | 20 MB        |
| Max number of pages | 10    | 10          | 20           |

Note that these limits are the default value and can be updated on demand [here](mailto:hello@mindee.com).

### API Calls

For information about the pricing model of Mindee, please refer yourself to the [pricing](https://mindee.com/pricing) on the website.

### Requests

* Maximum request throughput per second: 4 requests
* Maximum request throughput per minute: 75 requests

{% hint style="success" %}
Space your API requests so that you don't go over the limit.
{% endhint %}

### Data model

For your data model, the maximum number of properties is 50. If you think you need more, please get in touch with the [support team](mailto:hello@mindee.com), so they can further discuss the situation with you.

### Payload

Payload in Mindee refers to the data that you send to the server when you make an API request .

## Accepted document files

| Type                                          |    MIME Type    | Extensions |
| --------------------------------------------- | :-------------: | ---------: |
| Image JPEG (Joint Photographic Experts Group) |    image/jpeg   |  jpeg, jpg |
| Image PNG (Portable Network Graphics)         |    image/png    |        png |
| Image WEBP                                    |    image/webp   |       webp |
| PDF (Adobe Portable Document Format)          | application/pdf |        pdf |
| Image TIFF (Tag Image File Format)            |    image/tiff   |  tiff, tif |
| Image HEIC (High-Efficiency Image Container)  |    image/heic   |       heic |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mindee.com/v1/integration/limitations.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
